using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DVBServices;

namespace skyscraper8.EPGCollectorPort.SkyscraperSide.OpenTV
{
	internal interface OpenTvHandler
	{
		void OnNonOpenTvTraffic(int sourcePid, OpenTvExpectedDataType titles, int sectionTableId);
		void OnTitles(int sourcePid, int sectionTableId, OpenTVTitleSection titleSection);
		void OnSummaries(int sourcePid, int sectionTableId, OpenTVSummarySection summarySection);
	}
}
